Subject: Re: Cygnus & OpenGl
From: [email-masked] (Stephane Rehel)

23 Jul 1997 19:04:38 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (X11; I; Linux 2.1.16 i586)
Original-To: [email-masked]
Original-Sender: [email-masked]

DMI R. L. Solano wrote:
>         I'm trying to compile a program which uses libopengl32.a and
>         gcc complains:
> 
>         undefined reference to XXXXXX
> 
>         where XXXXXX is any OpenGl function.
> 
>         In the Makefile,  I turned on the options:
> 
>         -lopenGl32
>         -Lcygwin32/b18/..... (path to the library)

I use cygnus b18 + microsoft opengl 1.0 and 1.1 under w95 and
everything works fine.

Which OpenGL DLL do you use? You have to include windows.h
before GL/gl.h
Which GL/gl.h do you use?

No need to specify -L...:

  gcc -o glwinex glwinex.C -lopengl32 -lglu32 \
      -lm -lkernel32 -luser32 -lgdi32

--
-- Stephane Rehel ([email-masked])
-- http://home.worldnet.fr/~rehel
--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".